QScintilla: QsciCommand Class Reference

QScintilla 2.9.1

- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
QsciCommand Class Reference

`#include <qscicommand.h>`

## Public Types
enum | Command { LineDown = QsciScintillaBase::SCI_LINEDOWN, LineDownExtend = QsciScintillaBase::SCI_LINEDOWNEXTEND, LineDownRectExtend = QsciScintillaBase::SCI_LINEDOWNRECTEXTEND, LineScrollDown = QsciScintillaBase::SCI_LINESCROLLDOWN, LineUp = QsciScintillaBase::SCI_LINEUP, LineUpExtend = QsciScintillaBase::SCI_LINEUPEXTEND, LineUpRectExtend = QsciScintillaBase::SCI_LINEUPRECTEXTEND, LineScrollUp = QsciScintillaBase::SCI_LINESCROLLUP, ScrollToStart = QsciScintillaBase::SCI_SCROLLTOSTART, ScrollToEnd = QsciScintillaBase::SCI_SCROLLTOEND, VerticalCentreCaret = QsciScintillaBase::SCI_VERTICALCENTRECARET, ParaDown = QsciScintillaBase::SCI_PARADOWN, ParaDownExtend = QsciScintillaBase::SCI_PARADOWNEXTEND, ParaUp = QsciScintillaBase::SCI_PARAUP, ParaUpExtend = QsciScintillaBase::SCI_PARAUPEXTEND, CharLeft = QsciScintillaBase::SCI_CHARLEFT, CharLeftExtend = QsciScintillaBase::SCI_CHARLEFTEXTEND, CharLeftRectExtend = QsciScintillaBase::SCI_CHARLEFTRECTEXTEND, CharRight = QsciScintillaBase::SCI_CHARRIGHT, CharRightExtend = QsciScintillaBase::SCI_CHARRIGHTEXTEND, CharRightRectExtend = QsciScintillaBase::SCI_CHARRIGHTRECTEXTEND, WordLeft = QsciScintillaBase::SCI_WORDLEFT, WordLeftExtend = QsciScintillaBase::SCI_WORDLEFTEXTEND, WordRight = QsciScintillaBase::SCI_WORDRIGHT, WordRightExtend = QsciScintillaBase::SCI_WORDRIGHTEXTEND, WordLeftEnd = QsciScintillaBase::SCI_WORDLEFTEND, WordLeftEndExtend = QsciScintillaBase::SCI_WORDLEFTENDEXTEND, WordRightEnd = QsciScintillaBase::SCI_WORDRIGHTEND, WordRightEndExtend = QsciScintillaBase::SCI_WORDRIGHTENDEXTEND, WordPartLeft = QsciScintillaBase::SCI_WORDPARTLEFT, WordPartLeftExtend = QsciScintillaBase::SCI_WORDPARTLEFTEXTEND, WordPartRight = QsciScintillaBase::SCI_WORDPARTRIGHT, WordPartRightExtend = QsciScintillaBase::SCI_WORDPARTRIGHTEXTEND, Home = QsciScintillaBase::SCI_HOME, HomeExtend = QsciScintillaBase::SCI_HOMEEXTEND, HomeRectExtend = QsciScintillaBase::SCI_HOMERECTEXTEND, HomeDisplay = QsciScintillaBase::SCI_HOMEDISPLAY, HomeDisplayExtend = QsciScintillaBase::SCI_HOMEDISPLAYEXTEND, HomeWrap = QsciScintillaBase::SCI_HOMEWRAP, HomeWrapExtend = QsciScintillaBase::SCI_HOMEWRAPEXTEND, VCHome = QsciScintillaBase::SCI_VCHOME, VCHomeExtend = QsciScintillaBase::SCI_VCHOMEEXTEND, VCHomeRectExtend = QsciScintillaBase::SCI_VCHOMERECTEXTEND, VCHomeWrap = QsciScintillaBase::SCI_VCHOMEWRAP, VCHomeWrapExtend = QsciScintillaBase::SCI_VCHOMEWRAPEXTEND, LineEnd = QsciScintillaBase::SCI_LINEEND, LineEndExtend = QsciScintillaBase::SCI_LINEENDEXTEND, LineEndRectExtend = QsciScintillaBase::SCI_LINEENDRECTEXTEND, LineEndDisplay = QsciScintillaBase::SCI_LINEENDDISPLAY, LineEndDisplayExtend = QsciScintillaBase::SCI_LINEENDDISPLAYEXTEND, LineEndWrap = QsciScintillaBase::SCI_LINEENDWRAP, LineEndWrapExtend = QsciScintillaBase::SCI_LINEENDWRAPEXTEND, DocumentStart = QsciScintillaBase::SCI_DOCUMENTSTART, DocumentStartExtend = QsciScintillaBase::SCI_DOCUMENTSTARTEXTEND, DocumentEnd = QsciScintillaBase::SCI_DOCUMENTEND, DocumentEndExtend = QsciScintillaBase::SCI_DOCUMENTENDEXTEND, PageUp = QsciScintillaBase::SCI_PAGEUP, PageUpExtend = QsciScintillaBase::SCI_PAGEUPEXTEND, PageUpRectExtend = QsciScintillaBase::SCI_PAGEUPRECTEXTEND, PageDown = QsciScintillaBase::SCI_PAGEDOWN, PageDownExtend = QsciScintillaBase::SCI_PAGEDOWNEXTEND, PageDownRectExtend = QsciScintillaBase::SCI_PAGEDOWNRECTEXTEND, StutteredPageUp = QsciScintillaBase::SCI_STUTTEREDPAGEUP, StutteredPageUpExtend = QsciScintillaBase::SCI_STUTTEREDPAGEUPEXTEND, StutteredPageDown = QsciScintillaBase::SCI_STUTTEREDPAGEDOWN, StutteredPageDownExtend = QsciScintillaBase::SCI_STUTTEREDPAGEDOWNEXTEND, Delete = QsciScintillaBase::SCI_CLEAR, DeleteBack = QsciScintillaBase::SCI_DELETEBACK, DeleteBackNotLine = QsciScintillaBase::SCI_DELETEBACKNOTLINE, DeleteWordLeft = QsciScintillaBase::SCI_DELWORDLEFT, DeleteWordRight = QsciScintillaBase::SCI_DELWORDRIGHT, DeleteWordRightEnd = QsciScintillaBase::SCI_DELWORDRIGHTEND, DeleteLineLeft = QsciScintillaBase::SCI_DELLINELEFT, DeleteLineRight = QsciScintillaBase::SCI_DELLINERIGHT, LineDelete = QsciScintillaBase::SCI_LINEDELETE, LineCut = QsciScintillaBase::SCI_LINECUT, LineCopy = QsciScintillaBase::SCI_LINECOPY, LineTranspose = QsciScintillaBase::SCI_LINETRANSPOSE, LineDuplicate = QsciScintillaBase::SCI_LINEDUPLICATE, SelectAll = QsciScintillaBase::SCI_SELECTALL, MoveSelectedLinesUp = QsciScintillaBase::SCI_MOVESELECTEDLINESUP, MoveSelectedLinesDown = QsciScintillaBase::SCI_MOVESELECTEDLINESDOWN, SelectionDuplicate = QsciScintillaBase::SCI_SELECTIONDUPLICATE, SelectionLowerCase = QsciScintillaBase::SCI_LOWERCASE, SelectionUpperCase = QsciScintillaBase::SCI_UPPERCASE, SelectionCut = QsciScintillaBase::SCI_CUT, SelectionCopy = QsciScintillaBase::SCI_COPY, Paste = QsciScintillaBase::SCI_PASTE, EditToggleOvertype = QsciScintillaBase::SCI_EDITTOGGLEOVERTYPE, Newline = QsciScintillaBase::SCI_NEWLINE, Formfeed = QsciScintillaBase::SCI_FORMFEED, Tab = QsciScintillaBase::SCI_TAB, Backtab = QsciScintillaBase::SCI_BACKTAB, Cancel = QsciScintillaBase::SCI_CANCEL, Undo = QsciScintillaBase::SCI_UNDO, Redo = QsciScintillaBase::SCI_REDO, ZoomIn = QsciScintillaBase::SCI_ZOOMIN, ZoomOut = QsciScintillaBase::SCI_ZOOMOUT }

## Public Member Functions
Command | command () const
void | execute ()
void | setKey (int key)
void | setAlternateKey (int altkey)
int | key () const
int | alternateKey () const
QString | description () const

## Static Public Member Functions
static bool | validKey (int key)

## Detailed Description

The QsciCommand class represents an internal editor command that may have one or two keys bound to it.

Methods are provided to change the keys bound to the command and to remove a key binding. Each command has a user friendly description of the command for use in key mapping dialogs.

## Member Enumeration Documentation

enum QsciCommand::Command

This enum defines the different commands that can be assigned to a key.

Enumerator
LineDown | Move down one line.
LineDownExtend | Extend the selection down one line.
LineDownRectExtend | Extend the rectangular selection down one line.
LineScrollDown | Scroll the view down one line.
LineUp | Move up one line.
LineUpExtend | Extend the selection up one line.
LineUpRectExtend | Extend the rectangular selection up one line.
LineScrollUp | Scroll the view up one line.
ScrollToStart | Scroll to the start of the document.
ScrollToEnd | Scroll to the end of the document.
VerticalCentreCaret | Scroll vertically to centre the current line.
ParaDown | Move down one paragraph.
ParaDownExtend | Extend the selection down one paragraph.
ParaUp | Move up one paragraph.
ParaUpExtend | Extend the selection up one paragraph.
CharLeft | Move left one character.
CharLeftExtend | Extend the selection left one character.
CharLeftRectExtend | Extend the rectangular selection left one character.
CharRight | Move right one character.
CharRightExtend | Extend the selection right one character.
CharRightRectExtend | Extend the rectangular selection right one character.
WordLeft | Move left one word.
WordLeftExtend | Extend the selection left one word.
WordRight | Move right one word.
WordRightExtend | Extend the selection right one word.
WordLeftEnd | Move to the end of the previous word.
WordLeftEndExtend | Extend the selection to the end of the previous word.
WordRightEnd | Move to the end of the next word.
WordRightEndExtend | Extend the selection to the end of the next word.
WordPartLeft | Move left one word part.
WordPartLeftExtend | Extend the selection left one word part.
WordPartRight | Move right one word part.
WordPartRightExtend | Extend the selection right one word part.
Home | Move to the start of the document line.
HomeExtend | Extend the selection to the start of the document line.
HomeRectExtend | Extend the rectangular selection to the start of the document line.
HomeDisplay | Move to the start of the displayed line.
HomeDisplayExtend | Extend the selection to the start of the displayed line.
HomeWrap | Move to the start of the displayed or document line.
HomeWrapExtend | Extend the selection to the start of the displayed or document line.
VCHome | Move to the first visible character in the document line.
VCHomeExtend | Extend the selection to the first visible character in the document line.
VCHomeRectExtend | Extend the rectangular selection to the first visible character in the document line.
VCHomeWrap | Move to the first visible character of the displayed or document line.
VCHomeWrapExtend | Extend the selection to the first visible character of the displayed or document line.
LineEnd | Move to the end of the document line.
LineEndExtend | Extend the selection to the end of the document line.
LineEndRectExtend | Extend the rectangular selection to the end of the document line.
LineEndDisplay | Move to the end of the displayed line.
LineEndDisplayExtend | Extend the selection to the end of the displayed line.
LineEndWrap | Move to the end of the displayed or document line.
LineEndWrapExtend | Extend the selection to the end of the displayed or document line.
DocumentStart | Move to the start of the document.
DocumentStartExtend | Extend the selection to the start of the document.
DocumentEnd | Move to the end of the document.
DocumentEndExtend | Extend the selection to the end of the document.
PageUp | Move up one page.
PageUpExtend | Extend the selection up one page.
PageUpRectExtend | Extend the rectangular selection up one page.
PageDown | Move down one page.
PageDownExtend | Extend the selection down one page.
PageDownRectExtend | Extend the rectangular selection down one page.
StutteredPageUp | Stuttered move up one page.
StutteredPageUpExtend | Stuttered extend the selection up one page.
StutteredPageDown | Stuttered move down one page.
StutteredPageDownExtend | Stuttered extend the selection down one page.
Delete | Delete the current character.
DeleteBack | Delete the previous character.
DeleteBackNotLine | Delete the previous character if not at start of line.
DeleteWordLeft | Delete the word to the left.
DeleteWordRight | Delete the word to the right.
DeleteWordRightEnd | Delete right to the end of the next word.
DeleteLineLeft | Delete the line to the left.
DeleteLineRight | Delete the line to the right.
LineDelete | Delete the current line.
LineCut | Cut the current line to the clipboard.
LineCopy | Copy the current line to the clipboard.
LineTranspose | Transpose the current and previous lines.
LineDuplicate | Duplicate the current line.
SelectAll | Select the whole document.
MoveSelectedLinesUp | Move the selected lines up one line.
MoveSelectedLinesDown | Move the selected lines down one line.
SelectionDuplicate | Duplicate the selection.
SelectionLowerCase | Convert the selection to lower case.
SelectionUpperCase | Convert the selection to upper case.
SelectionCut | Cut the selection to the clipboard.
SelectionCopy | Copy the selection to the clipboard.
Paste | Paste from the clipboard.
EditToggleOvertype | Toggle insert/overtype.
Newline | Insert a platform dependent newline.
Formfeed | Insert a formfeed.
Tab | Indent one level.
Backtab | De-indent one level.
Cancel | Cancel any current operation.
Undo | Undo the last command.
Redo | Redo the last command.
ZoomIn | Zoom in.
ZoomOut | Zoom out.

## Member Function Documentation

void QsciCommand::setKey | ( | int | key | ) |

Binds the key key to the command. If key is 0 then the key binding is removed. If key is invalid then the key binding is unchanged. Valid keys are any visible or control character or any of `Qt::Key_Down`, `Qt::Key_Up`, `Qt::Key_Left`, `Qt::Key_Right`, `Qt::Key_Home`, `Qt::Key_End`, `Qt::Key_PageUp`, `Qt::Key_PageDown`, `Qt::Key_Delete`, `Qt::Key_Insert`, `Qt::Key_Escape`, `Qt::Key_Backspace`, `Qt::Key_Tab`, `Qt::Key_Backtab`, `Qt::Key_Return`, `Qt::Key_Enter`, `Qt::Key_Super_L`, `Qt::Key_Super_R` or `Qt::Key_Menu`. Keys may be modified with any combination of `Qt::ShiftModifier`, `Qt::ControlModifier`, `Qt::AltModifier` and `Qt::MetaModifier`.

See also
  key(), setAlternateKey(), validKey()

void QsciCommand::setAlternateKey | ( | int | altkey | ) |

Binds the alternate key altkey to the command. If key is 0 then the alternate key binding is removed.

See also
  alternateKey(), setKey(), validKey()

int QsciCommand::key | ( |  | ) | const
| inline

The key that is currently bound to the command is returned.

See also
  setKey(), alternateKey()

int QsciCommand::alternateKey | ( |  | ) | const
| inline

The alternate key that is currently bound to the command is returned.

See also
  setAlternateKey(), key()